Subject: Re: [netatalk-admins] LaserWriter 8 and Ghostscript: landscape printing

From: Bob Atkins <[email-masked]>
Date: Tue, 13 Apr 1999 09:32:42 -0700 (PDT)

Jason,

You are not alone. The problem doesn't have anything to do with
netatalk. Ghostscript is broken. Version 3.33 of gs works just fine
but has other problems. I've been using version 5.03 which I know is
a bit old and it has the problem you describe. Perhaps a later version
fixes the problem - I don't know.

---
Bob

> 
> 
> I'm banging my head up against the wall again on this one.  I have two
> printers set up on a Debian GNU/Linux box with the current Debian
> package of netatalk+asun.  The two are both PCL printers; I use
> magicfilter and ghostscript to convert postscript sent by LaserWriter
> 8 on the Macs.
> 
> This works fine for printing in portrait mode, but not for landscape.
> When you try to print in landscape, the job gets printed in portrait
> orientation with part cut off.
> 
> I've tried to fix this by creating separate landscape queues with a
> line in the apropriate filter program that looks like this:
> 
> 0	%!		filter	/usr/bin/gs  -q -dSAFER -dNOPAUSE -r300 -sDEVICE=cdj850 -sOutputFile=- landscap.ps - 
> 
> That is, it loads landscap.ps to rotate the file to landscape
> orientation before loading the file to be printed.  This seems to work
> for files I have created in dvips, but not for files printed from the
> Macs.  I have read the relevant entry in the FAQ-O-Matic, but it seems
> to be doing the same thing I am doing here.
> 
> Could it be that the Mac-produced files are not ADSC conforming?  If
> this is the problem, does anyone know how to fix it?
> 
> -- 
> +----------------------------------------------------------------+
> | Jason F. McBrayer              [email-masked] |
> | The scalloped tatters of the King in Yellow must hide Yhtill   |   
> | forever.                    R.W. Chambers _The King in Yellow_ |
>